/************************************************************************/
/*																		*/
/*	CDC1.h	--	Declaration for CDC1 library 	    					*/
/*																		*/
/************************************************************************/
/*	Author:		Eric Marsh												*/
/*	Copyright 2016, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*	This file declares the CDC1 library functions and the constants	    */
/*	involved.															*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	08/3/2016(EricM): created											*/
/*																		*/
/************************************************************************/
#if !defined(CDC1_H)
#define CDC1_H
#include <inttypes.h>
#include <WProgram.h>

/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

class CDC1 {
private: 
	int btn1_pin;
	int btn2_pin;

public:
	CDC1 ();
	void begin(int pin1 = -1, int pin2 = -1);
	bool GetStatus(int btn);
};

#endif